/*
 * LSST Data Management System
 * Copyright 2008, 2009, 2010 LSST Corporation.
 *
 * This product includes software developed by the
 * LSST Project (http://www.lsst.org/).
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the LSST License Statement and
 * the GNU General Public License along with this program.  If not,
 * see <http://www.lsstcorp.org/LegalNotices/>.
 */

/**
 * @file PolicyDestination.cc
 * @author Ray Plante
 */
#include <ostream>

#include "lsst/pex/policy/PolicyStreamDestination.h"

namespace lsst {
namespace pex {
namespace policy {

PolicyStreamDestination::PolicyStreamDestination(PolicyStreamDestination::StreamPtr ostrm)
        : PolicyDestination(), _ostrm(ostrm) {}

PolicyStreamDestination::~PolicyStreamDestination() {}

std::ostream& PolicyStreamDestination::getOutputStream() { return *_ostrm; }

}  // namespace policy
}  // namespace pex
}  // namespace lsst
